Zydis v4.1.1

Loading...
Searching...
No Matches
ZydisEncoderRequest_::ZydisEncoderRequestEvexFeatures_ Struct Reference

Extended info for EVEX instructions. More...

`#include <Encoder.h>`

## Data Fields
ZydisBroadcastMode | broadcast
| The broadcast-mode.
ZydisRoundingMode | rounding
| The rounding-mode.
ZyanBool | sae
| Signals, if the SAE (suppress-all-exceptions) functionality should be enabled for the instruction.
ZyanBool | zeroing_mask
| Signals, if the zeroing-mask functionality should be enabled for the instruction.

## Detailed Description

Extended info for EVEX instructions.

## Field Documentation

## ◆ broadcast

ZydisBroadcastMode broadcast

The broadcast-mode.

Specify ZYDIS_BROADCAST_MODE_INVALID for instructions with static broadcast functionality.

## ◆ rounding

ZydisRoundingMode rounding

The rounding-mode.

## ◆ sae

ZyanBool sae

Signals, if the SAE (suppress-all-exceptions) functionality should be enabled for the instruction.

## ◆ zeroing_mask

ZyanBool zeroing_mask

Signals, if the zeroing-mask functionality should be enabled for the instruction.

Specify ZYAN_TRUE for instructions with forced zeroing mask.

The documentation for this struct was generated from the following file:

- include/Zydis/Encoder.h